package com.fishrungames.crystalofrhylil.sounds;

import android.media.MediaPlayer;

import com.fishrungames.crystalofrhylil.MainActivity;
import com.fishrungames.crystalofrhylil.R;

public class JniSoundCalls {

    native public static void initJniSounds();

    private static MediaPlayer backgroundPlayer = null;
    private static MediaPlayer gunshotPlayer = null;

    public static void init() {
        initJniSounds();
    }

    public static void JniPlayBackgroundSound() {
        backgroundPlayer = MediaPlayer.create(MainActivity.getInstance(), R.raw.background_sound);
        backgroundPlayer.setLooping(true);
        backgroundPlayer.start();
    }

    public static void JniStopBackgroundSound() {
        if (backgroundPlayer != null) {
            backgroundPlayer.stop();
        }
    }

    public static void JniPlayGunshotSound() {
        gunshotPlayer = MediaPlayer.create(MainActivity.getInstance(), R.raw.gunshot_sound);
        gunshotPlayer.setLooping(false);
        gunshotPlayer.start();
    }

    public static void JniStopGunshotSound() {
        if (gunshotPlayer != null) {
            gunshotPlayer.stop();
        }
    }

}
